System requirements

From Rave Documentation
Jump to: navigation, search

Software requirements

Most importantly, Rave requires that you have MATLAB. We try to ensure that Rave is compatible with MATLAB versions up to 3 years old. Currently, all Rave features should be supported on MATLAB releases 2010a and newer, however we do not extensively test Rave on older MATLAB versions, so if you find a bug please tell us about it.

Certain features of Rave, including some optimizers, require additional MATLAB toolboxes. Rave will notify you if you try to use a feature that requires a toolbox that you don't have access to.

Rave is developed on 64-bit Windows 7. All features should work on 32-bit and 64-bit MATLAB installations. We believe Rave will also work on current Mac operating systems, but we have not tested it. We are less optimistic that Rave will work on Linux.

Hardware requirements

If your computer can run MATLAB, it can run Rave. We put LOTS of effort into making Rave run as fast as possible, but despite our best efforts, MATLAB's graphics are sometimes slow.

For good performance, we recommend:

  • Vertical screen resolution of at least 900 pixels and horizontal resolution of at least 1200 pixels. (Rave may or may not display correctly on smaller displays, depending on how small they are).
  • Dual-core, 2.6Ghz processor
  • 4Gb RAM
  • A real graphics card (not the thing that's built in to your motherboard)

The speed of Rave's computations will be directly related to your processor speed, and the speed of display updates and animations will be more closely related to your graphics card.